> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Onchain Deposit

> Get a deposit address for a specified blockchain network. All deposit requests require approved KYC.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/ramp/{subaccountId}/banking/deposits/crypto/{onchainNetwork}
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v1/ramp/{subaccountId}/banking/deposits/crypto/{onchainNetwork}:
    get:
      tags:
        - Deposits
      summary: Onchain Deposit
      description: >-
        Get a deposit address for a specified blockchain network. All deposit
        requests require approved KYC.
      parameters:
        - name: subaccountId
          in: path
          schema:
            type: string
          required: true
        - name: onchainNetwork
          in: path
          schema:
            type: string
            enum:
              - ETH
              - SOL
              - ETH-SEPOLIA
              - SOL-DEVNET
          required: true
          description: |2-
             **Production:** `lightning`, `ETH`, `SOL`.

            **Staging:** `lightning`, `SOL-DEVNET`, `ETH-SEPOLIA`.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  address:
                    type: string
                  chain:
                    type: string
                  currency:
                    type: string
                  addressTag:
                    type: string
                    nullable: true
                  createdAt:
                    type: string
              example:
                id: f156b4cb-9b34-4c45-bed1-92576c703412
                address: '0x34e36e819b37577c66e7032e060866bd6a04e677'
                chain: ETH-SEPOLIA
                currency: USDC
                addressTag: null
                createdAt: '2025-11-21T11:17:42.575Z'
        '400':
          description: Bad Request - Invalid network
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                  timestamp:
                    type: string
                  path:
                    type: string
                  error:
                    type: string
                  message:
                    type: string
                  stack:
                    type: string
              example:
                statusCode: 400
                timestamp: '2025-11-21T11:16:54.232Z'
                error: Error
                message: Invalid chain for current environment.
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Unauthorized
                message: Invalid or missing API key
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Forbidden
                message: You do not have permission to access this resource
        '404':
          description: Not Found - Subaccount not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Not Found
                message: Subaccount not found
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````